@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

body {
  font-family: "Roboto", sans-serif;
  overflow-x: hidden;
  -webkit-font-smoothing: antialiased;
}


header {
 position: fixed;
    top: 0;        
    padding: 20px 0;
    background: #fff;
    transition: all 0.3s ease-in-out;
    z-index: 1000;
    box-sizing: border-box;
    width: 100%;
}
header.sticky {
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}
.side-bar {
  display: none;

}
.logo {
  width: 20%;
}

.logo img {
  width: 120px;
}

.nav-links {
  width: 60%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
}

.nav-links a {
  text-decoration: none;
  color: #000;
  font-size: 20px;
  font-weight: 600;
}

.nav-links .active {
  text-decoration: none;
  color: #007bff;
  font-size: 24px;
  font-weight: 600;
}

.nav-links a:hover {
  color: #007bff;
}

.header-btn {
  width: 20%;
  display: flex;
  align-items: center;
  justify-content: end;
}

.cta-button {
  background-color: #007bff;
  color: #fff;
  padding: 10px 20px;
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
  transition: all 0.5s ease-in-out;
}

.cta-button:hover {
  background-color: #000;
}

.section-banner {
  padding-top: 20px;
}

.headline {
  font-size: 36px;
  font-weight: bold;
  color: #000;
  text-align: center;
}

.headline span {
  color: #0078ff;
}

.subheadline {
  font-size: 18px;
  color: #000;
  margin-top: 10px;
  text-align: center;
}

.profiles {
  display: flex;
  justify-content: center;
  gap: 20px;
}

.profile {
  text-align: center;
}

.profile img {
  width: 100%;
  transition: transform 0.3s;
  margin-bottom: 20px;
}

.profile img:hover {
  transform: scale(1.05);
}

.counter-section {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: space-around;
  background: url(../img/realtime-banner.png) center left;
  background-size: cover;
  padding: 80px 0px;
  overflow: hidden;
  position: relative;
  background-attachment: fixed;
}

.counter-section::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #000000;
  z-index: 0;
  opacity: 0.6;
}

.counter-item {
  margin: 20px;
  padding: 20px;
  transition: 0.5s ease-in-out;
  width: 25%;
}


.counter-bg {
  margin: 20px;
  padding: 20px;
  border-radius: 50px;
  width: 25%;
  position: relative;
}

.counter {
  font-size: 4rem;
  font-weight: bold;
  color: #0078ff;
}

.counter-bg .counter {
  font-size: 4rem;
  font-weight: bold;
  color: #0078ff;

}

.counter-bg .counter-label {
  font-size: 25px;
  color: #0078ff;
  line-height: 2;
}
.counter-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}
.counter-item p {
  color: #fff;
}

.counter-icon img {
  width: 150px;
  text-align: center;
  height: 100px;
  border-radius: 50%;
}

.business-flex {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 20px;
}

.business .headings {
  padding-bottom: 30px;
}

.business-img1 {
  position: relative;
  border-radius: 20px;
  height: auto;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  text-align: center;
  padding: 20px;
  height: 450px;
  overflow: scroll;
  scrollbar-width: none;
}

.business-img1 .box {
  color: #000;
}

.display-grid-3 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  align-items: center;
  gap: 20px;
  row-gap: 20px;
  padding-top: 20px;
}


.business-img1 img {
  border-radius: 50%;
  height: 150px;
  width: 150px;
  object-fit: cover;
}

.business-img1 .box h4 {
  font-size: 21px;
  font-weight: 700;
  padding: 10px;
  margin: 0;
}

.business .box p {
  color: #000;
  font-size: 16px;
  font-weight: 500;
  margin: 0;
  text-align: justify;
}

.counter-label {
  font-size: 1.5rem;
  color: #000;
}

.headings {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-bottom: 20px;
}

.headings h2 span {
  color: #0078ff;
}

.business {
  padding: 50px 0px;
}

.what-we {
  padding-bottom: 40px;
}

.what-we-flex {
  display: grid;
  align-items: center;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 20px;
  row-gap: 20px;
}

.icons i {
  background: #ddd;
  color: #000;
  font-size: 20px;
  padding: 20px;
  border-radius: 50%;
}

.boxes {
  background-color: #f0e9e973;
  padding: 20px;
  border-radius: 20px;
  margin-top: 10px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  transition: all 0.5s ease-in-out;
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.boxes:hover {
  background-color: #226ae2;
}
.boxes .icons {
  display: flex;
  justify-content: center;
}
.boxes img {
  width: 100%;
  height: 250px;
  object-fit: cover;
}



.boxes h3 {
  font-size: 28px;
  font-weight: 600;
  padding: 15px 0px;
  transition: all 0.5s ease-in-out;
  text-align: center;
  color: #000;
}
.boxes:hover h3 {
  color: #fff;
}


.boxes p {
  font-size: 17px;
  line-height: 1.4;
  padding-bottom: 15px;
  color: #000;
  transition: all 0.5s ease-in-out;
  text-align: center;
  font-weight: 400;
}

.boxes:hover p {
  color: #fff;
}

.boxes a {
  font-size: 18px;
  color: #000;
  transition: all 0.5s ease-in-out;
}
.boxes a:last-child {
  text-align: center;
  color: #737476;
 transition: all 0.5s ease-in-out;
 
}

.boxes:hover a:last-child {
  color: #fff;
}



.projects-section {
  padding: 40px 0;
  background: #fff;
}

.section-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 30px;
}

.section-header h2 {
  font-size: 28px;
  font-weight: bold;
}

.section-header h2 span {
  color: #007bff;
}

.buttons {
  display: flex;
  gap: 10px;
}

.btn {
  padding: 10px 20px;
  border: none;
  color: white;
  cursor: pointer;
  border-radius: 5px;
}

.start-project {
  background: transparent;
  color: #000;
  border: 1px solid #000;
  border-radius: 5px;
}

.start-project:hover {
  background: #0078ff;
  color: #fff;
  border: none;
}

.view-work {
  background: #0078ff;
}

.view-work:hover {
  background: #000;
}

.projects-slider {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
}

.project-cards {
  width: calc(40% - 20px);
  margin-right: 20px;
}

.project-card {
  width: calc(20% - 20px);
  margin-right: 20px;
}

.project-cards {
  width: 100%;
  position: relative;
  border-radius: 12px;
  overflow: hidden;
  background: #f1f1f1;
  text-align: center;
}

.project-card {
  width: 100%;
  position: relative;
  border-radius: 12px;
  overflow: hidden;
  background: #f1f1f1;
  text-align: center;
}

.project-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.project-card .project-info {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%; 
  background: rgba(0, 0, 0, 0.7);
  color: white;
  padding: 15px;
  transform: translateY(100%); 
  transition: transform 0.5s ease-in-out;
  display: flex;
  align-items: center; 
  flex-direction: column;
  overflow: scroll;
}

.project-info h4 {
  color: #007bff;
  font-size: 18px;
  font-weight: 700;
  padding-bottom: 10px;
}

.project-slider .slick-slide {
  padding: 0 20px;
  box-sizing: border-box;
}

.project-slider .slick-list {
  margin: 0 -20px;
}

.project-slider-4 .slick-slide {
  padding: 0 10px;
  box-sizing: border-box;
}

.project-slider-4 .slick-list {
  margin: 0 -10px;
}

.project-slider-4 .project-card {
  height: 200px;
}

.project-card:hover .project-info {
  transform: translateY(0);
}

.project-info h3 {
  font-size: 18px;
  margin-bottom: 5px;
}

.project-info p {
  color: #fff;
}

.testimonial-section {
  padding: 40px 0px;
}

.project-info .view-icon {
  color: white;
  font-size: 18px;
  text-decoration: none;
}

.testimonial-section h2 {
  font-size: 40px;
  padding: 15px 0px;
  text-align: center;
}
.testimonial-section .slick-slide {
  padding: 0 20px;
  box-sizing: border-box;
}

.testimonial-section .slick-list {
  margin: 0 -20px;
}

.testimonial-box {
  border: 1px solid #000;
  border-radius: 10px;
  padding: 20px;
}


.testimonial-box p {
  font-size: 18px;
  font-weight: 500;
  padding: 10px 0px;
}

.testimonial-box a {
  font-size: 20px;
  color: #000;
}

.img-name {
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.image img {
  border-radius: 50%;
  width: 100px;
  height: 100px;
}

.slick-prev {
  width: 33px;
  height: 33px;
  background-color: #0078ff;
  color: #fff;
  border-radius: 50%;
  left: -40px;
}

.slick-next {
  width: 33px;
  height: 33px;
  background-color: #0078ff;
  color: #fff;
  border-radius: 50%;
  right: -40px;
}

.footer-section {
  background: url(../img/footer-bg.jpg) center;
  background-size: cover;
  padding-top: 20px;
  position: relative;
}

.footer-section::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: #000000;
  z-index: 0;
  opacity: 0.8;
}

.coll {
  width: 25%;
  position: relative;
  z-index: 1;
}

.footer-section .coll .images a img {
  width: 180px;
}

.footer-section p {
  color: #fff;
  font-size: 14px;
  margin-top: 15px;
  line-height: 1.7;
  text-align: justify;
  margin-right: 30px;
}

.footer-section h2 {
  color: #007bff;
  font-size: 24px;
  margin-bottom: 20px;
}

.footer-section ul li {
  padding-bottom: 20px;
}

.footer-section ul li a {
  font-size: 14px;
  font-weight: 500;
  color: #fff;
  transition: 0.5s;
}

.footer-section ul li a:hover {
  color: #007bff;
}

.footer-section ul li a i {
  margin-right: 10px;
  color: #007bff;
}

.footer-section .footer-icon p {
  margin: 0px 0px 0px 10px;
  font-size: 14px;
}

.footer-section .footer-icon .social-icon i {
  color: #007bff;
}

.footer-section .footer-icon p a {
  color: #fff;
  font-size: 14px;
  transition: all 0.5s ease-in-out;
}

.footer-section .footer-icon p a:hover {
  color: #007bff;
}

.footer-section .bar2 {
  height: 1px;
  width: 100%;
  background-color: #fff;
  margin: 25px 0px;
}

.footer-section .bar1 {
  height: 1px;
  width: 100%;
  background-color: #fff;
  margin: 25px 0px;
}

.footer-section .footer-bar {
  height: 1px;
  width: 100%;
  background-color: #fff;
  margin-top: 20px;
  position: relative;
  z-index: 1;
}

.footer-section .cuppyright-section p {
  text-align: center;
  color: #fff;
  padding: 10px 0px;
  margin-bottom: 0;
  font-weight: 500;
  margin-top: 0;
  font-size: 14px;
}

.footer-section .cuppyright-section p span a {
  color: #007bff;
  font-size: 16px;
}

.footer-section .social-icon a {
  height: 40px;
  width: 40px;
  border-radius: 24px;
  background-color: #007bff;
  color: #fff;
  line-height: 25px;
  text-align: center;
  display: inline-block;
  padding: 8px;
  margin-left: 10px;
  margin-top: 10px;
  transition: all 0.5s ease-in-out;
}

.footer-section .social-icon a:hover {
  background-color: #fff;
  color: #000;
}

.cuppyright-section {
  position: relative;
  z-index: 1;
}

marquee {
  margin-top: 20px;
  padding: 10px 0px;
}

marquee img {
  width: 70px;
  margin-right: 50px;
}

.contact-container {
  /* display: flex;
  max-width: 1000px;
  width: 90%;
  background: #ffffff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
  overflow: hidden; */
  padding: 30px 0px;
}

.form-section {
  width: 50%;
  background: #f5f5f5;
  padding: 40px;
}

.form-section h2 {
  color: #333;
  margin-bottom: 20px;
}

form {
  display: flex;
  flex-direction: column;
}

form input,
form textarea,
form button {
  width: 100%;
  padding: 12px;
  margin: 10px 0;
  border: 1px solid #ccc;
  border-radius: 4px;
  outline: none;
}

form textarea {
  resize: none;
  height: 120px;
  color: #000;
}

form button {
  background: #0078ff;
  color: white;
  cursor: pointer;
  border: none;
  transition: background 0.3s ease;
}

/* form button:hover {
  background: #45a049;
} */
.get-in-touch-section {
  /* background: #333; */
  width: 50%;
  color: white;
  padding: 40px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  border: 1px solid #000;
  align-items: center;
}

.get-in-touch-section h2 {
  color: #0078ff;
  margin-bottom: 15px;
}

.get-in-touch-section p {
  line-height: 1.8;
  margin-bottom: 10px;
}

.get-in-touch-section a {
  color: #000;
  text-decoration: none;
  font-weight: bold;
}

.logo-slider img {
  width: 100px !important;
  height: 100px;
}

.logos {
  padding: 40px 0px;
}

.logos h2 {
  padding: 20px 0px;
}

.banner-slide img {
  width: 100%;
  height: 100vh;
  object-fit: cover;
  
}
.banner-slide img::before{
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #00000080;
  width: 100%;
  height: 100%;
}

.banner {
  position: relative;
  width: 100%;
  overflow: hidden;
}

.slide {
  position: relative;
  width: 100%;
}

.slide img {
  width: 100%;
  height: 100vh;
  display: block;
  object-fit: cover;
}

/* ðŸ”¥ Overlay layer */
.slide::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(0 0 0 / 58%); 
  z-index: 1;
}


.banner-content {
   position: absolute;
  top: 50%;
  left: 35%;
  transform: translate(-50%, -50%);
  color: #fff;
  text-align: justify;
  z-index: 2;
  opacity: 0;
 
}
.banner-content.active {
  animation: slideRightToLeft 1s ease forwards;
}

@keyframes slideRightToLeft {
  0% {
    transform: translate(100%, -50%);
    opacity: 0;
  }
  100% {
    transform: translate(-50%, -50%);
    opacity: 1;
  }
}

.banner-content h2 {
  font-size: 70px;
  margin-bottom: 10px;
  font-style: italic;
}

.banner-content p {
  font-size: 40px;
  color: #fff;
  line-height: normal;
  font-style: italic;
  text-shadow: #ebf2f2 1px 0 10px;
  
}




.map {
  padding-top: 30px;
}

.about-first {
  position: relative;
  background: url("../img/bg.jpg") no-repeat center center/cover;
  height: 400px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  text-align: center;
  padding-top: 30px;
}

.banner-overlay {
  background: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.heading-home-2 h1 {
  font-size: 36px;
  font-weight: bold;
  margin: 0;
  color: #ffffff;
}

.heading-home ul {
  list-style: none;
  padding: 0;
  display: flex;
  justify-content: center;
  gap: 8px;
}

.headin-home ul li {
  color: #ffffff;
}

.heading-home ul li a {
  text-decoration: none;
  color: #ffffff;
}

.heading-home ul li i {
  color: #ffffff;
}

.about {
  padding: 20px 0px;
}

.about h2 {
  padding: 10px 0px;
}
.about h2 span{
  color: #0078ff;
}

.about-img {
  width: calc(50% - 20px);
  margin-right: 20px;
}

.about-img img {
  width: 100%;
  border-radius: 10px;
  transition: 0.5s ease-in-out;
}

.about-img img:hover {
  transform: scale(1.05);
}

.about-content {
  width: 50%;
  background: #eee;
  padding: 20px;
  border-radius: 10px;
}

.about-content p {
  text-align: justify;
}

.vission-content {
  width: calc(50% - 20px);
  margin-right: 20px;
  background: #eee;
  padding: 20px;
  border-radius: 10px;
}

.vission-content p {
  text-align: justify;
}

.vission-img {
  width: 50%;
}

.vission-img img {
  width: 100%;
  border-radius: 10px;
  transition: 0.5s ease-in-out;
}

.vission-img img:hover {
  transform: scale(1.05);
}

.our-info-sec {
  background-color: #fff;
  padding: 30px 0;
}

.our-info-sec .inner-info-row {
  margin: 30px 0px 0;
}

.our-info-sec .inner-info-row .inner-info-item {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.our-info-sec .inner-info-row .inner-info-item .title {
  width: 15.5%;
  font-size: 1.15rem;
  font-weight: 700;
  color: #878787;
  margin-bottom: 0;
}

.text-effect .text-overflow {
  overflow: hidden;
  display: inline-block;
}

.text-effect.aos-animate .text-overflow>span {
  transform: translateY(0);
  transition: transform 1s ease;
  color: #000;
}

.our-info-sec .inner-info-row .inner-info-item:first-child .content {
  padding-top: 1rem;
}

.our-info-sec .inner-info-row .inner-info-item .content {
  width: 84.5%;
  flex: 0 0 84.5%;
  max-width: 84.5%;
  padding: 2.5rem 0 2.5rem 4.3rem;
  border-left: 1px solid #000;
  border-bottom: 1px solid #000;
}

.our-info-sec .inner-info-row .inner-info-item .content ul {
  display: flex;
  align-items: flex-end;
}

.our-info-sec .inner-info-row .inner-info-item .content ul li {
  padding: 10px;
}

.our-info-sec .inner-info-row .inner-info-item .content ul li .c-wrap {
  text-align: center;
  transform: translateY(0);
  transition: all 0.5s;
  display: inline-block;
}

.our-info-sec .inner-info-row .inner-info-item .content ul li .c-wrap .icon {
  display: block;
  width: 100%;
}

.our-info-sec .inner-info-row .inner-info-item .content ul li .c-wrap img {
  max-width: 40px;
  width: 100%;
  margin: 0 auto;
}

.our-info-sec .inner-info-row .inner-info-item .content ul li .c-wrap .text {
  margin-top: 10px;
  font-size: 14px;
  font-weight: 600;
  color: #000;
  white-space: nowrap;
}

.subtitle {
  color: #000;
  font-size: 30px;
}
.subtitle span {
  color: #0078ff;
}

@keyframes blink-scale {

  0%,
  100% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.4);
  }
}

.blink-image {
  animation: blink-scale 1s infinite ease-in-out;
  display: inline-block;
  transition: transform 0.3s;
}

.services-grid {
  padding: 30px 0px;
}

.service-card i {
  font-size: 25px;
}

.service-card {
  width: calc(33.33% - 10px);
  margin-right: 10px;
  background: white;
  padding: 20px;
  border-radius: 10px;
  text-align: center;
  transition: transform 0.3s, box-shadow 0.3s;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  animation: fadeIn 1s ease-in forwards;
  opacity: 0;
  margin-top: 10px;
}

.service-card:hover {
  background-color: #676060a8;
}

.service-card i {
  font-size: 25px;
  color: #0078ff;
  background-color: #eee;
  border-radius: 50%;
  padding: 10px;
}

.service-card:hover {
  transform: translateY(-10px);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.service-card h2 {
  font-size: 25px;
  margin-bottom: 10px;
  color: #000;
}

.service-card p {
  color: #000;
}

@keyframes fadeIn {
  from {
    transform: translateY(20px);
    opacity: 0;
  }

  to {
    transform: translateY(0);
    opacity: 1;
  }
}

.about h2 {
  padding: 10px;
}

.port-img {
  width: calc(50% - 20px);
  margin-right: 20px;
}

.port-img img {
  width: 100%;
  border-radius: 10px;
}

.port-content {
  width: 50%;
  border: 1px solid #000;
  border-radius: 10px;
  padding: 20px;
  background-color: #f4f4f4;
}

.port-content p {
  font-size: 17px;
  text-align: justify;
}

.about,
.projects {
  padding: 20px 0px;
  text-align: center;
}

.projects h2 {
  padding: 10px 0px;
}

.project-cards {
  width: calc(33.33% - 10px);
  margin-right: 10px;
  background: #f4f4f4;
  padding: 15px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

/* skills section styling */

.skills h2 {
  font-size: 30px;
  padding: 10px 0px;
}

.skills .skills-content .column {
  width: calc(50% - 30px);
}

.skills .skills-content .left .text {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 10px;
}

.skills .skills-content .left p {
  text-align: justify;
  padding-top: 15px;
  font-size: 17px;
}

.skills .skills-content .right .bars {
  margin-bottom: 15px;
}

.skills .skills-content .right .info {
  display: flex;
  margin-bottom: 10px;
  align-items: center;
  justify-content: space-between;
}

.skills .skills-content .right span {
  font-weight: 500;
  font-size: 18px;
}

.skills .skills-content .right .line {
  height: 5px;
  width: 100%;
  background: lightgrey;
  position: relative;
}

.skills .skills-content .right .line::before {
  content: "";
  position: absolute;
  height: 100%;
  left: 0;
  top: 0;
  background: #0078ff;
}

.skills-content .right .php::before {
  width: 100%;
}

.skills-content .right .css::before {
  width: 80%;
}

.skills-content .right .py::before {
  width: 70%;
}

.skills-content .right .cc::before {
  width: 50%;
}

.skills-content .right .opensource::before {
  width: 75%;
}

.skills-content {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.blog {
  padding: 30px 0px;
}

.blog-box {
  width: calc(33.33% - 10px);
  margin-right: 10px;

  margin-top: 10px;
}

.blog-content {
  border: 1px solid #000;
  padding: 10px;
  margin-top: -5px;
}

.project-filter {
  display: flex;
  margin-top: 0;
  align-items: center;
  padding: 10px;
  background-color: #f9f9f9;
}

.filter-container {
  display: flex;
  align-items: center;
  width: 100%;
  gap: 15px;
}

.filter-label {
  font-size: 16px;
  color: #1f2122;
}

.filter-tags {
  display: flex;
  gap: 10px;
}

.tag-item {
  padding: 8px 12px;
  background-color: #e0e0e0;
  color: #1f2122;
  text-decoration: none;
  font-size: 14px;
  border-radius: 20px;
  transition: background-color 0.3s ease;
}

.tag-item:hover {
  cursor: pointer;
}

.actives {
  background-color: #000;
  border-radius: 20px;
  color: #fff;
}

.projects {
  padding: 100px 0px 30px 0px;
}

.projects h3 {
  text-align: left;
  font-size: 50px;
}
.projects h3 span {
  color: #0078ff;
}

.filter-buttons {
  display: flex;
  gap: 15px;
  margin-bottom: 20px;
}

.filter-buttons button {
  padding: 10px 17px;
  border: none;
  background-color: transparent;
  color: #000;
  font-size: 17px;
  cursor: pointer;
  border-radius: 20px;
  transition: background-color 0.3s ease;
  font-family: Syne;
}

/* .filter-buttons button.active {
  background-color: #0078ff;
  color: #000;
} */
.project-grid {
  display: flex;
  flex-wrap: wrap;

}


/*.project-carded {*/
/*  width: calc(50% - 20px);*/
/*  margin-right: 20px;*/
/*}*/

.box4 {
  /* background: #fff; */
  border-radius: 12px;
  /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); */
  overflow: hidden;
  /* padding: 15px; */
  display: none;
  transition: all 0.3s;
  margin-top: 30px;
}

.project-carded .box4.active {
  display: block;
}

.project-carded img {
  width: 100%;
  border-radius: 8px;
  /* transform: scale(1); */
  transition: transform 0.3s;
  height: auto;
}

.project-carded img:hover {
  transform: scale(1.1);
  border-radius: 10px;
}

.project-carded h4 {
  text-align: center;
  padding: 15px 0px;
  color: #000;
}

.project-carded p {
  text-align: justify;
  font-family: Syne;
}

.project-carded h3 {
  margin-top: 10px;
  text-align: center;
  padding: 10px 0px;
  font-family: Syne;
}

.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
}

.modal-content {
  display: block;
  max-height: 98%;
  margin: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.close {
  position: absolute;
  top: 15px;
  right: 25px;
  color: white;
  font-size: 35px;
  font-weight: bold;
  cursor: pointer;
}

.modal.show .close {
  display: block !important;
}

.box4-img {
  height: 600px;
  overflow: hidden;
}

.detail_img {
  width: calc(70% - 10px);
  margin-right: 10px;
}

.detail_img img {
  border-radius: 10px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  height: 600px;
  width: 100%;
}

.detail_info {
  width: calc(30% - 10px);
  margin-right: 10px;
}

.contact-right {
  background-color: #676060a8;
  padding: 40px;
  border-radius: 10px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}

.contact-right h2 {
  color: #fff;
}

.hold-main {
  padding-bottom: 30px;
  display: flex;
  align-items: center;
}

.icon-location {
  width: 50px;
  height: 50px;
  color: #fff;
  font-size: 32px;
  margin: 0 20px 0 0;
  /* box-shadow: inset 0 0 0 3px #fff09d; */
}

.location-text a {
  font-size: 14px;
  font-weight: 400;
}

.icon-location {
  display: flex;
  align-items: center;
  justify-content: center;
}

.location-text p {
  font-size: 14px;
  line-height: 1.5;
  font-weight: 400;
  color: #fff;
}

.location-text a {
  color: #fff;
}

.detail_para {
    padding: 0 180px;
}
.detail_para h3 {
    font-size: 30px;
    padding-bottom: 15px;
}

.detail_para p {
  text-align: justify;
  padding-bottom: 10px;
  font-size: 24px;
  line-height: 1.5;
}
.detail_para li {
  font-size: 24px;
}
.project-section {
  padding-bottom: 40px;
}
.why-choose {
padding-bottom: 40px;
}
.why-choose .content {
  padding: 20px;
  background-color: #f5f5f5c7;
  border-radius: 40px 0;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  overflow: hidden;
  width: calc(50% - 20px);
  margin-right: 20px;
  margin-bottom: 20px;
}
.why-choose .content h3 {
  text-align: center;
  color: #0078ff;
  padding-bottom: 10px;
}
.why-choose .content p {
  text-align: justify;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.5;
}

.logo-name{
  display: flex !important;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.fade-blur {
  opacity: 0;
  transform: translateY(40px);
  filter: blur(6px);   
  transition: all 0.6s ease-out;
  will-change: transform, opacity; 
}

.fade-blur.show {
  opacity: 1;
  transform: translateY(0);
  filter: blur(0);
}
img {
  max-width: 100%;
  height: auto;
  display: block;
  will-change: transform; /* GPU optimize */
}

#menu__toggle {
  opacity: 0;
}

#menu__toggle:checked ~ .menu__btn > span {
  transform: rotate(45deg);
}
#menu__toggle:checked ~ .menu__btn > span::before {
  top: 0;
  transform: rotate(0);
}
#menu__toggle:checked ~ .menu__btn > span::after {
  top: 0;
  transform: rotate(90deg);
}
#menu__toggle:checked ~ .menu__box {
  visibility: visible;
  left: 0;
}

.menu__btn {
  display: flex;
  align-items: center;
  position: fixed;
  top: 6%;
  right: 3%;
  width: 26px;
  height: 26px;
  cursor: pointer;
  z-index: 99999;
}

.menu__btn > span,
.menu__btn > span::before,
.menu__btn > span::after {
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: #0078ff;
  transition-duration: .25s;
}
.menu__btn > span::before {
  content: '';
  top: -8px;
}
.menu__btn > span::after {
  content: '';
  top: 8px;
}

.menu__box {
  display: block;
  position: fixed;
  visibility: hidden;
  top: 0;
  left: -100%;
  width: 300px;
  height: 100%;
  margin: 0;
  list-style: none;
  background-color: #000;
  box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);
  transition-duration: .25s;
  z-index: 9999;
}
.menu__box .side-logo {
  display: flex;
  justify-content: center;
  padding: 35px 0;
  background: #fff;
}
.menu__box .side-logo img {
  width: 150px;
}
.menu__box li {
  border-bottom: 1px solid #fff;
}
.menu__item {
  display: block;
  padding: 12px 24px;
  color: #fff;
  font-family: 'Roboto', sans-serif;
  font-size: 18px;
  font-weight: 600;
  text-decoration: none;
  transition-duration: .25s;
}
.menu__item:hover {
  background-color: #CFD8DC;
}

.hamburger-menu {
  display: none;
}
